> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service and member API keys



## OpenAPI

````yaml /openapi/v3.yaml get /api/v2/org-api-keys
openapi: 3.1.0
info:
  title: Semicola Exchange API
  version: 3.0.0-preview
  description: >-
    Platform endpoints of Semicola: sign-in and accounts, members and keys,
    billing, notifications, the Semi assistant (chat stream, confirmations,
    conversations), the MCP App widget host and realtime feeds. Typed agent
    tools live on the MCP server at /mcp/v3.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Auth
  - name: Accounts
  - name: Billing
  - name: Notifications
  - name: Assistant
  - name: Widget host
  - name: Realtime
  - name: Demo
paths:
  /api/v2/org-api-keys:
    get:
      tags:
        - Accounts
      summary: Service and member API keys
      operationId: getOrgApiKeys
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            prefix:
                              type: string
                            ownerUserId:
                              anyOf:
                                - type: integer
                                  exclusiveMinimum: 0
                                  maximum: 9007199254740991
                                - type: 'null'
                            ownerName:
                              type:
                                - string
                                - 'null'
                            permissions:
                              type: array
                              items:
                                type: string
                            lastUsedAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                - type: 'null'
                            expiresAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                - type: 'null'
                            createdAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          required:
                            - id
                            - name
                            - prefix
                            - ownerUserId
                            - ownerName
                            - permissions
                            - lastUsedAt
                            - expiresAt
                            - createdAt
                          additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                  meta:
                    type: object
                    properties:
                      pagination:
                        anyOf:
                          - type: object
                            properties:
                              skip:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              take:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              total:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              hasMore:
                                type: boolean
                            required:
                              - skip
                              - take
                              - total
                              - hasMore
                            additionalProperties: false
                          - type: object
                            properties:
                              nextCursor:
                                type:
                                  - string
                                  - 'null'
                              hasMore:
                                type: boolean
                            required:
                              - nextCursor
                              - hasMore
                            additionalProperties: false
                          - type: object
                            properties:
                              limit:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              offset:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              nextOffset:
                                anyOf:
                                  - type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  - type: 'null'
                            required:
                              - limit
                              - offset
                              - nextOffset
                            additionalProperties: false
                    additionalProperties: false
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````